[Darshan-commits] [Darshan] branch, dev-modular, updated. darshan-2.3.1-56-gb50b656
Service Account
git at mcs.anl.gov
Wed Mar 18 16:45:00 CDT 2015
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, dev-modular has been updated
via b50b656dc36a3ff5102650d80ca923a8a91ec427 (commit)
from 1fc4876f4ec4ca28f92b3f7ac3db92d5434180d3 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit b50b656dc36a3ff5102650d80ca923a8a91ec427
Author: Shane Snyder <ssnyder at mcs.anl.gov>
Date: Wed Mar 18 16:44:25 2015 -0500
update regr. testing to use darshan-posix-parser
-----------------------------------------------------------------------
Summary of changes:
darshan-test/regression/run-all.sh | 2 +-
darshan-test/regression/test-cases/cxxpi.sh | 10 ++++++++--
darshan-test/regression/test-cases/fperf-f77.sh | 10 ++++++++--
darshan-test/regression/test-cases/fperf-f90.sh | 10 ++++++++--
darshan-test/regression/test-cases/mpi-io-test.sh | 10 ++++++++--
5 files changed, 33 insertions(+), 9 deletions(-)
Diff of changes:
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
index cb03fcc..97607cc 100755
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -17,7 +17,7 @@ DARSHAN_TESTDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
export DARSHAN_TESTDIR
# check darshan path
-if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
+if [ ! -x $DARSHAN_PATH/bin/darshan-posix-parser ]; then
echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2
exit 1
fi
diff --git a/darshan-test/regression/test-cases/cxxpi.sh b/darshan-test/regression/test-cases/cxxpi.sh
index 5dc2999..eda00eb 100755
--- a/darshan-test/regression/test-cases/cxxpi.sh
+++ b/darshan-test/regression/test-cases/cxxpi.sh
@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then
fi
# parse log
-$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
+$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
@@ -29,10 +29,16 @@ fi
# check results
# in this case we want to confirm that the open counts are zero; cxxpi does not do any IO
-POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#if [ "$POSIX_OPENS"x != ""x ]; then
+# echo "Error: Found unexpected POSIX open count of $POSIX_OPENS" 1>&2
+# exit 1
+#fi
+POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
if [ "$POSIX_OPENS"x != ""x ]; then
echo "Error: Found unexpected POSIX open count of $POSIX_OPENS" 1>&2
exit 1
fi
+
exit 0
diff --git a/darshan-test/regression/test-cases/fperf-f77.sh b/darshan-test/regression/test-cases/fperf-f77.sh
index 443b13b..06bb283 100755
--- a/darshan-test/regression/test-cases/fperf-f77.sh
+++ b/darshan-test/regression/test-cases/fperf-f77.sh
@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then
fi
# parse log
-$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
+$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
@@ -34,10 +34,16 @@ fi
# echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
# exit 1
#fi
-POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#if [ ! $POSIX_OPENS -gt 0 ]; then
+# echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
+# exit 1
+#fi
+POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
if [ ! $POSIX_OPENS -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1
fi
+
exit 0
diff --git a/darshan-test/regression/test-cases/fperf-f90.sh b/darshan-test/regression/test-cases/fperf-f90.sh
index 243b0b2..50b2103 100755
--- a/darshan-test/regression/test-cases/fperf-f90.sh
+++ b/darshan-test/regression/test-cases/fperf-f90.sh
@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then
fi
# parse log
-$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
+$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
@@ -34,10 +34,16 @@ fi
# echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
# exit 1
#fi
-POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#if [ ! $POSIX_OPENS -gt 0 ]; then
+# echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
+# exit 1
+#fi
+POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
if [ ! $POSIX_OPENS -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1
fi
+
exit 0
diff --git a/darshan-test/regression/test-cases/mpi-io-test.sh b/darshan-test/regression/test-cases/mpi-io-test.sh
index 6c12996..67472ca 100755
--- a/darshan-test/regression/test-cases/mpi-io-test.sh
+++ b/darshan-test/regression/test-cases/mpi-io-test.sh
@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then
fi
# parse log
-$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
+$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
@@ -34,11 +34,17 @@ fi
# echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
# exit 1
#fi
-POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4`
+#if [ ! $POSIX_OPENS -gt 0 ]; then
+# echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
+# exit 1
+#fi
+POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
if [ ! $POSIX_OPENS -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1
fi
+
exit 0
hooks/post-receive
--
More information about the Darshan-commits
mailing list